---

# Get file from Oracle Object Storage by file name

- name: Getting database passwd information
  ansible.builtin.getent:
    database: "passwd"
  no_log: true

- name: Check if oci client installed
  become_user: "{{ get_file_file_owner }}"
  ansible.builtin.stat:
    path: "{{ getent_passwd[get_file_file_owner][4] }}/.oci"
  register: oci_client_exsist
  when: update_oci is not defined

- name: Install OCI client
  ansible.builtin.include_role:
    name: oci_client
  vars:
    oci_client_user: "{{ get_file_file_owner }}"
    oci_client_group: "{{ get_file_file_owner }}"
  when:
    oci_client_exsist.stat.isdir is not defined

- ansible.builtin.set_fact:
    file_dest_path: "{{ get_file_file_dest }}/{{ get_file_file_name | basename }}"

- ansible.builtin.debug:
    msg: "{{ get_file_file_name }}"

- name: Fix oci ansible module error
  ansible.builtin.file:
    path: /tmp/oci_ansible_module.log
    state: touch
    mode: '0777'
  changed_when: false

- name: Download file from Object Storage
  become_user: "{{ get_file_file_owner }}"
  oracle.oci.oci_object_storage_object:
    namespace_name: "{{ oci_object_storage_namespace_file }}"
    bucket_name: sv
    object_name: "{{ get_file_file_name }}"
    dest: "{{ file_dest_path }}"
  register: result

- debug:
    msg: "{{ result }}"
